SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUDynamicComponentInfoRef Struct Reference

References an object with information about a dynamic component. More...

`#include <SketchUpAPI/model/dynamic_component_info.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUDynamicComponentInfoRelease (SUDynamicComponentInfoRef *dc_info)
| Releases the DC info. DC info objects are created from component instance using SUComponentInstanceCreateDCInfo(), and must be released using this function. This function also invalidates the given DC info. More...
enum SUResult | SUDynamicComponentInfoGetNumDCAttributes (SUDynamicComponentInfoRef dc_info, size_t *count)
| Retrieves the number of dynamic component attributes. More...
enum SUResult | SUDynamicComponentInfoGetDCAttributes (SUDynamicComponentInfoRef dc_info, size_t len, SUDynamicComponentAttributeRef attributes[], size_t *count)
| Retrieves the dynamic component attributes. More...

## Detailed Description

References an object with information about a dynamic component.

## Friends And Related Function Documentation

enum SUResult SUDynamicComponentInfoGetDCAttributes | ( | SUDynamicComponentInfoRef | dc_info,
|  | size_t | len,
|  | SUDynamicComponentAttributeRef | attributes[],
|  | size_t * | count
| ) |  |
| related

Retrieves the dynamic component attributes.

Parameters

  [in] | dc_info | The dynamic component info object.
  [in] | len | The number of attributes to retrieve.
  [out] | attributes | The attributes retrieved.
  [out] | count | The number of attributes retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if dc_info is an invalid object
  - SU_ERROR_NULL_POINTER_OUTPUT if attributes or count is NULL

enum SUResult SUDynamicComponentInfoGetNumDCAttributes | ( | SUDynamicComponentInfoRef | dc_info,
|  | size_t * | count
| ) |  |
| related

Retrieves the number of dynamic component attributes.

Parameters

  [in] | dc_info | The dynamic component info object.
  [out] | count | The number of attributes.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if dc_info is an invalid object
  - SU_ERROR_NULL_POINTER_OUTPUT if count is NULL

enum SUResult SUDynamicComponentInfoRelease | ( | SUDynamicComponentInfoRef * | dc_info | ) |
| related

Releases the DC info. DC info objects are created from component instance using SUComponentInstanceCreateDCInfo(), and must be released using this function. This function also invalidates the given DC info.

Since
  SketchUp 2016, API 4.0

Parameters

  [in,out] | dc_info | The dynamic component info object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if dc_info is NULL
  - SU_ERROR_INVALID_INPUT if dc_info is not a valid object

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/dynamic_component_info.h